SystemOrganization addCategory: #ConfigurationOfHipay!

Object subclass: #ConfigurationOfHipay
	instanceVariableNames: 'project'
	classVariableNames: 'LastVersionLoad'
	poolDictionaries: ''
	category: 'ConfigurationOfHipay'!

!ConfigurationOfHipay class methodsFor: 'development support' stamp: 'FrancoisStephany 1/29/2012 17:05'!
DevelopmentSupport

"See the methods in the 'development support' category on the class-side of MetacelloBaseConfiguration. Decide what development support methods you would like to use and copy them the the class-side of your configuration."
	<apiDocumentation>
! !

!ConfigurationOfHipay class methodsFor: 'private' stamp: 'FrancoisStephany 1/29/2012 17:05'!
baseConfigurationClassIfAbsent: aBlock

	^Smalltalk
		at: #MetacelloBaseConfiguration
		ifAbsent: [ 
			self ensureMetacelloBaseConfiguration.
			Smalltalk at: #MetacelloBaseConfiguration ifAbsent: aBlock ].
! !

!ConfigurationOfHipay class methodsFor: 'private' stamp: 'FrancoisStephany 1/29/2012 17:05'!
ensureMetacello

	(self baseConfigurationClassIfAbsent: []) ensureMetacello! !

!ConfigurationOfHipay class methodsFor: 'private' stamp: 'FrancoisStephany 1/29/2012 17:05'!
ensureMetacelloBaseConfiguration

	Smalltalk
		at: #MetacelloBaseConfiguration
		ifAbsent: [ 
			| repository version |
			repository := MCHttpRepository location: 'http://seaside.gemstone.com/ss/metacello' user: '' password: ''.
			repository
				versionReaderForFileNamed: 'Metacello-Base-DaleHenrichs.2.mcz'
				do: [ :reader | 
					version := reader version.
					version load.
					version workingCopy repositoryGroup addRepository: repository ] ]! !

!ConfigurationOfHipay class methodsFor: 'metacello tool support' stamp: 'FrancoisStephany 1/29/2012 17:05'!
isMetacelloConfig
	"Answer true and the Metacello tools will operate on you"
	
	^true! !

!ConfigurationOfHipay class methodsFor: 'loading' stamp: 'FrancoisStephany 1/29/2012 17:05'!
load
	"Load the #stable version defined for this platform. The #stable version is the version that is recommended to be used on this platform."

	"self load"

	<apiDocumentation>
	^(self project version: #stable) load! !

!ConfigurationOfHipay class methodsFor: 'loading' stamp: 'FrancoisStephany 1/29/2012 17:05'!
loadBleedingEdge
	"Load the latest versions of the mcz files defined for this project. It is not likely that the #bleedingEdge has been tested."

	"self loadBleedingEdge"

	<apiDocumentation>
	^(self project version: #bleedingEdge) load! !

!ConfigurationOfHipay class methodsFor: 'loading' stamp: 'FrancoisStephany 1/29/2012 17:05'!
loadDevelopment
	"Load the #development version defined for this platform. The #development version will change over time and is not expected to be stable."

	"self loadDevelopment"

	<apiDocumentation>
	^(self project version: #development) load! !

!ConfigurationOfHipay class methodsFor: 'accessing' stamp: 'FrancoisStephany 1/29/2012 17:05'!
project

	^self new project! !

!ConfigurationOfHipay class methodsFor: 'development support' stamp: 'FrancoisStephany 1/29/2012 17:05'!
validate
	"Check the configuration for Errors, Critical Warnings, and Warnings (see class comment for MetacelloMCVersionValidator for more information). 
	Errors identify specification issues that will result in unexpected behaviour when you load the configuration. 
	Critical Warnings identify specification issues that may result in unexpected behavior when you load the configuration.
	Warnings identify specification issues that are technically correct, but are worth take a look at."

	"self validate"

	<apiDocumentation>
	self ensureMetacello.
	^ ((Smalltalk at: #MetacelloToolBox) validateConfiguration: self debug: #() recurse: false) explore! !

!ConfigurationOfHipay methodsFor: 'baselines' stamp: 'FrancoisStephany 3/28/2012 01:21'!
baseline01: spec 
        <version: '0.1-baseline'>
        
        spec for: #common do: [
		spec blessing: #baseline.
		spec project: 'Grease Core' with: [
			spec
				className: 'ConfigurationOfGrease';
				versionString: #stable;
				loads: #('Core' );
				repository: 'http://www.squeaksource.com/MetacelloRepository' ].
		spec project: 'XMLSupport' with: [
				spec
					className: 'ConfigurationOfXMLSupport';
					versionString: '1.2.0';
					file: 'ConfigurationOfXMLSupport';
					repository: 'http://www.squeaksource.com/XMLSupport'].
		spec 
			repository: 'http://ss3.gemstone.com/ss/Hipay';
			package: 'Hipay-Core' with: [ spec requires: #('Grease Core' 'XMLSupport' ) ];
			package: 'Hipay-Tests' ].! !

!ConfigurationOfHipay methodsFor: 'accessing' stamp: 'FrancoisStephany 1/29/2012 17:05'!
project

	^ project ifNil: [ | constructor |
		"Bootstrap Metacello if it is not already loaded"
		(self class baseConfigurationClassIfAbsent: []) ensureMetacello.
		"Construct Metacello project"
		constructor := (Smalltalk at: #MetacelloVersionConstructor) on: self.
		project := constructor project.
		project loadType: #linear. "change to #atomic if desired"
		project ]! !

!ConfigurationOfHipay methodsFor: 'symbolic versions' stamp: 'FrancoisStephany 1/29/2012 17:08'!
stable: spec
	<symbolicVersion: #'stable'>
	spec for: #'pharo1.3.x' version: '0.1'.
! !

!ConfigurationOfHipay methodsFor: 'versions' stamp: 'FrancoisStephany 2/2/2012 22:00'!
version01: spec 
        <version: '0.1' imports: #('0.1-baseline')>

        spec for: #common do: [
                spec blessing: #development.
			spec package: 'ConfigurationOfGrease' with: 'ConfigurationOfGrease-dkh.177'.
			spec package: 'Hipay-Core' with: 'Hipay-Core-FrancoisStephany.5'.
			spec package: 'Hipay-Tests' with: 'Hipay-Tests-FrancoisStephany.2'.
                ].! !
